gcchar_t Struct Reference
gcstring

`#include <sombok.h>`

## Data Fields

size_t | idx
size_t | len
size_t | col
propval_t | lbc
propval_t | elbc
unsigned char | flag

## Detailed Description

Grapheme cluster

## Field Documentation

## col

size_t gcchar_t::col

Calculated number of columns.

## elbc

propval_t gcchar_t::elbc

Line breaking class of grapheme extender if it is not CM.

## flag

unsigned char gcchar_t::flag

User-defined flag.

## idx

size_t gcchar_t::idx

Offset of Unicode string.

## lbc

propval_t gcchar_t::lbc

Line breaking class of grapheme base.

## len

size_t gcchar_t::len

Length of Unicode string.

The documentation for this struct was generated from the following file:

- include/sombok.h